org.apache.lucene.util

## Class IntBlockPool.DirectAllocator

- java.lang.Object
- - org.apache.lucene.util.IntBlockPool.Allocator
  - - org.apache.lucene.util.IntBlockPool.DirectAllocator

Enclosing class:
  IntBlockPool

    public static final class IntBlockPool.DirectAllocator
    extends IntBlockPool.Allocator

A simple `IntBlockPool.Allocator` that never recycles.

### Field Summary

### Fields inherited from class org.apache.lucene.util.IntBlockPool.Allocator

`blockSize`

### Constructor Summary

Constructors
Constructor and Description
`IntBlockPool.DirectAllocator()` Creates a new `IntBlockPool.DirectAllocator` with a default block size

### Method Summary

Methods
`void` `recycleIntBlocks(int[][] blocks, int start, int end)`

### Methods inherited from class org.apache.lucene.util.IntBlockPool.Allocator

`getIntBlock`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IntBlockPool.DirectAllocator

    public IntBlockPool.DirectAllocator()

Creates a new `IntBlockPool.DirectAllocator` with a default block size

### Method Detail

#### recycleIntBlocks

    public void recycleIntBlocks(int[][] blocks,
                        int start,
                        int end)

Specified by:
  `recycleIntBlocks` in class `IntBlockPool.Allocator`